SeqSimilaritySearchResult (BioJava-1.5-beta API)
Keywords: org.biojava.bio.search.SeqSimilaritySearchResult interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.search
Interface SeqSimilaritySearchResult

All Superinterfaces:
  Annotatable, Changeable

All Known Implementing Classes:
  SequenceDBSearchResult, SimpleSeqSimilaritySearchResult

    public interface SeqSimilaritySearchResult

extends Annotatable

Objects of this type represent one particular result of a sequence similarity search.

Author:
  Gerald Loeffler, Keith James

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`List` | `getHits()` Return all hits in this sequence similarity search result.
`Sequence` | `getQuerySequence()` Returns the query sequence which was used to perform the search.
`Map` | `getSearchParameters()` Returns the search parameters used in the search that produced this search result.
`SequenceDB` | `getSequenceDB()` Returns the sequence database against which the search was performed.

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### getQuerySequence

    Sequence getQuerySequence()

  Returns the query sequence which was used to perform the search.

  Returns:
    the `Sequence` object used to search the `SequenceDB`. Never returns null.

### getSequenceDB

    SequenceDB getSequenceDB()

  Returns the sequence database against which the search was performed.

  Returns:
    the `SequenceDB object` against which the search was carried out. Never returns null.

### getSearchParameters

    Map getSearchParameters()

  Returns the search parameters used in the search that produced this search result.

  Returns:
    the (immutable) search parameter `Map object`. May return null.

### getHits

    List getHits()

  Return all hits in this sequence similarity search result. The hits are sorted from best to worst.

  Returns:
    an (immutable) `List` of `SeqSimilaritySearchHit` objects containing all hits in the search result. Never returns null but may return an empty list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD